LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 02-19-2004, 05:01 PM   #1
the_rydster
Member
 
Registered: Nov 2003
Location: UK mostly.
Distribution: Slackware 9.1
Posts: 103

Rep: Reputation: 15
Running Grip on Fluxbox?


Grip is the Gnome .wav ripper software and I want to run it with fluxbox. Upon trying to run 'configure' I get errors saying 'could not find the gnomeConf.sh file'.

I though Gnome was intstalled with slack 9.1?
 
Old 02-19-2004, 05:16 PM   #2
trickykid
Guru
 
Registered: Jan 2001
Posts: 24,133

Rep: Reputation: 197Reputation: 197
It is installed if selected but this isn't a Fluxbox or Gnome issue, its an issue where Grip using older libs from previous versions of Gnome to work correctly.

You need to install this package: gnome-libs-1.4.1.7-i386-1.tgz

In which you can download from here: http://ftp.algx.net/pub/linux/slackw...1.7-i386-1.tgz
 
Old 02-20-2004, 05:53 AM   #3
the_rydster
Member
 
Registered: Nov 2003
Location: UK mostly.
Distribution: Slackware 9.1
Posts: 103

Original Poster
Rep: Reputation: 15
Thanks for your help.

I copied the lib stuff into /usr/local/lib.

Also installed libghttp-1.0.9.

Ran ./configure on Grip. I get a couple of 'warnings'

configure: WARNING: cdda_paranoia.h: present but cannot be compiled
configure: WARNING: cdda_paranoia.h: check for missing prerequisite headers?
configure: WARNING: cdda_paranoia.h: proceeding with the preprocessor's result
checking for cdda_paranoia.h... yes

&

configure: WARNING: id3lib not found - disabling id3v2 support

If I run make I get lots of problems.

g++ -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I/usr/local/include -I/usr/include/gnome-1.0 -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -DG_LOG_DOMAIN=\"grip\" -DGNOMELOCALEDIR=\""/usr/local/share/locale"\" -I../intl -I../intl -g -O2 -c cppmain.cc
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I/usr/local/include -I/usr/include/gnome-1.0 -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -DG_LOG_DOMAIN=\"grip\" -DGNOMELOCALEDIR=\""/usr/local/share/locale"\" -I../intl -I../intl -g -O2 -Wall -Wunused -c main.c
main.c:24:19: gnome.h: No such file or directory
In file included from main.c:26:
grip.h:28:19: gnome.h: No such file or directory
In file included from grip.h:30,
from main.c:26:
discdb.h:121: syntax error before "FILE"
In file included from main.c:26:
grip.h:56: syntax error before "GtkWidget"
grip.h:56: warning: no semicolon at end of struct or union
grip.h:57: warning: type defaults to `int' in declaration of `winbox'
grip.h:57: warning: data definition has no type or storage class
grip.h:58: syntax error before '*' token
grip.h:58: warning: type defaults to `int' in declaration of `notebook'
grip.h:58: warning: data definition has no type or storage class
grip.h:61: syntax error before '*' token
grip.h:61: warning: type defaults to `int' in declaration of `style_wb'
grip.h:61: warning: data definition has no type or storage class
grip.h:62: syntax error before '*' token
grip.h:62: warning: type defaults to `int' in declaration of `style_LCD'
grip.h:62: warning: data definition has no type or storage class
grip.h:63: syntax error before '*' token
grip.h:63: warning: type defaults to `int' in declaration of `style_dark_grey'
grip.h:63: warning: data definition has no type or storage class
grip.h:65: syntax error before '*' token
grip.h:65: warning: type defaults to `int' in declaration of `disc_name_label'
grip.h:65: warning: data definition has no type or storage class
grip.h:66: syntax error before '*' token
grip.h:66: warning: type defaults to `int' in declaration of `disc_artist_label'
grip.h:66: warning: data definition has no type or storage class
grip.h:67: syntax error before '*' token
grip.h:67: warning: type defaults to `int' in declaration of `trackclist'
grip.h:67: warning: data definition has no type or storage class
grip.h:69: syntax error before '*' token
 
Old 02-20-2004, 06:02 AM   #4
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,378

Rep: Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963
Quote:
main.c:24:19: gnome.h: No such file or directory
you have not correctly installed the libraries yet. simply copying a bunch of random files to /usr/lib is not going to help
 
Old 02-20-2004, 06:35 AM   #5
the_rydster
Member
 
Registered: Nov 2003
Location: UK mostly.
Distribution: Slackware 9.1
Posts: 103

Original Poster
Rep: Reputation: 15
How do I compile/install the libs then??

Thanks.

Just found this on another page

"
here is a list of the packages needed to be able to get gtk1
apps compiling and working:

bonobo-1.0.20-i386-1.tgz
bonobo-conf-0.14-i386-1.tgz
gal-0.19.2-i386-1.tgz
gal-0.21-i386-1.tgz (from www.sf.net/projects/dropline-gnome)
gconf-1.0.9-i386-1.tgz
gnome-libs-1.4.1.7-i386-1.tgz
gnome-print-0.36-i386-1.tgz
gnome-vfs-1.0.5-i386-2.tgz
gtkhtml-1.0.2-i386-1.tgz
gtkhtml-1.1.6-i386-1.tgz (from www.sf.net/projects/dropline-gnome)
imlib-1.9.14-i386-1.tgz
libghttp-1.0.9-i386-1.tgz
libglade-0.17-i386-1.tgz
libole2-0.2.4-i386-1.tgz
libxml-1.8.17-i386-1.tgz (Slackware's "l" directory")
oaf-0.6.10-i386-1.tgz"

Do I need all this to get Grip running?
 
Old 02-20-2004, 07:59 AM   #6
trickykid
Guru
 
Registered: Jan 2001
Posts: 24,133

Rep: Reputation: 197Reputation: 197
Quote:
Originally posted by the_rydster
How do I compile/install the libs then??

Thanks.

Just found this on another page

"
here is a list of the packages needed to be able to get gtk1
apps compiling and working:

bonobo-1.0.20-i386-1.tgz
bonobo-conf-0.14-i386-1.tgz
gal-0.19.2-i386-1.tgz
gal-0.21-i386-1.tgz (from www.sf.net/projects/dropline-gnome)
gconf-1.0.9-i386-1.tgz
gnome-libs-1.4.1.7-i386-1.tgz
gnome-print-0.36-i386-1.tgz
gnome-vfs-1.0.5-i386-2.tgz
gtkhtml-1.0.2-i386-1.tgz
gtkhtml-1.1.6-i386-1.tgz (from www.sf.net/projects/dropline-gnome)
imlib-1.9.14-i386-1.tgz
libghttp-1.0.9-i386-1.tgz
libglade-0.17-i386-1.tgz
libole2-0.2.4-i386-1.tgz
libxml-1.8.17-i386-1.tgz (Slackware's "l" directory")
oaf-0.6.10-i386-1.tgz"

Do I need all this to get Grip running?
No, like I said before, just gnome-libs-1.4.7-i386-1 will work. Unless you don't have any Gnome packages installed, then most likely you will need them all but I doubt it. How did you install the last package?

Should be a simple as root:

installpkg gnome-libs-1.4.1.7-i386-1.tgz

And then compile or install grip after also installing libghttp-1.0.9 as grip is dependent on it as well.

If you post the exact steps and commands that you did to install, I'm sure it will enlighten us on where your going wrong.

Cheers.
 
Old 02-20-2004, 08:52 AM   #7
the_rydster
Member
 
Registered: Nov 2003
Location: UK mostly.
Distribution: Slackware 9.1
Posts: 103

Original Poster
Rep: Reputation: 15
Ok thanks for your help.

Did:

installpkg gnome-libs-1.4.1.7-i386-1.tgz (as super user)

and Grip installs no problem.

I just didn't know about the installpkg command. I though you had to manually move the lib files about. learned something at least.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Running Fluxbox Brother Michael Debian 7 06-22-2004 01:10 AM
Running fluxbox on mandrake 10.0 forrest44 Linux - Software 1 05-25-2004 09:10 PM
running fluxbox chrisknight Linux - Software 7 06-19-2003 02:35 PM
grip configuration errors=no running busbarn Linux - Software 2 04-12-2003 10:06 AM
Running Fluxbox on RH 7.2? Scratchmaster Linux - Distributions 10 02-12-2002 12:00 PM


All times are GMT -5. The time now is 04:06 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration